Skip to main content
GET
/
api
/
v2
/
links
/
{id}
Show payment link
curl --request GET \
  --url https://rcur.app/api/v2/links/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "lnk_abc123",
  "status": "open",
  "active": true,
  "type": "payment",
  "description": "Monthly subscription - Pro plan",
  "currency": "EUR",
  "created_at": "2025-01-15 10:30:00",
  "url": "https://rcur.nl/pay/lnk_abc123",
  "amount": "29.95",
  "first_amount": "14.95",
  "interval": "month",
  "times": 12,
  "trial_interval": "14 days",
  "reminder_at": "2025-02-01 09:00:00",
  "redirect_url_paid": "https://example.com/thank-you",
  "redirect_url_failed": "https://example.com/failed",
  "expires_at": "2025-06-01",
  "customer": {
    "id": "abc123def456",
    "first_name": "John",
    "last_name": "Doe",
    "email": "john@example.com",
    "created_at": "2025-01-15 10:30:00",
    "number": "CUST-001",
    "phone": "+31612345678",
    "organization_name": "Acme B.V.",
    "address": "Keizersgracht 1",
    "postal_code": "1015AA",
    "city": "Amsterdam",
    "country": "NL",
    "vat_number": "NL123456789B01",
    "locale": "nl",
    "mollie_customer_id": "cst_abc123"
  },
  "subscription": {
    "id": "sub_abc123",
    "name": "Monthly Premium",
    "status": "active",
    "start_date": "2025-01-01",
    "created_at": "2025-01-01 10:00:00",
    "mollie_mandate_id": "mdt_abc123",
    "mollie_profile_id": "pfl_abc123",
    "next_payment_at": "2025-02-01",
    "next_amount": "29.99",
    "last_payment_created_at": "2025-01-01 10:00:00",
    "resume_at": "2025-03-01",
    "cancel_at": "2025-12-31",
    "rules": [
      {
        "id": "rule_abc123",
        "amount": "29.99",
        "currency": "EUR",
        "interval": "month",
        "interval_amount": 1,
        "day": 1,
        "times_done": 3,
        "times": 12
      }
    ],
    "customer": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Payment link details

id
string
required
Example:

"lnk_abc123"

status
enum<string>
required
Available options:
draft,
open,
paid,
expired
Example:

"open"

active
boolean
required
Example:

true

type
enum<string>
required
Available options:
payment,
approval,
basic-subscription,
advanced-subscription,
order,
mandate,
debit
Example:

"payment"

description
string
required
Example:

"Monthly subscription - Pro plan"

currency
enum<string>
required
Available options:
EUR
Example:

"EUR"

created_at
string
required
Example:

"2025-01-15 10:30:00"

url
string
required
Example:

"https://rcur.nl/pay/lnk_abc123"

amount
string
Example:

"29.95"

first_amount
string | null
Example:

"14.95"

interval
enum<string> | null
Available options:
week,
month,
quarter,
year
Example:

"month"

times
integer | null
Example:

12

trial_interval
string | null
Example:

"14 days"

reminder_at
string | null
Example:

"2025-02-01 09:00:00"

redirect_url_paid
string | null
Example:

"https://example.com/thank-you"

redirect_url_failed
string | null
Example:

"https://example.com/failed"

expires_at
string | null
Example:

"2025-06-01"

customer
object
subscription
object